/*
 Fading
 LED fényerejének szabályozása analogWrite() függvénnyel.
 
 Áramkör:
 * LED a digitális 9 PWM pinbe és a földelésbe 
 
 Created 1 Nov 2008 by David A. Mellis
 modified 30 Aug 2011 by Tom Igoe
 */


int ledPin = 9;    // LED digitális 9 pinben

void setup()  { 
  // itt semmi sem történik
} 

void loop()  { 
  // fényerő növelése minimumtól maximum értékig, 
  // ötösével lépkedve:
  for(int fadeValue = 0 ; fadeValue <= 255; fadeValue +=5) { 
    // ezt az értéket kiküldjük a LED pinre:
    analogWrite(ledPin, fadeValue);         
    // 30 milliszekundumot várunk, hogy szemmel követhető
    // legyen a fényerő változás: 
    delay(30);                            
  } 

  // fényerő csökkentése maximumtól minimum értékig, 
  // ötösével lépkedve:

  for(int fadeValue = 255 ; fadeValue >= 0; fadeValue -=5) { 
    // ezt az értéket kiküldjük a LED pinre:
    analogWrite(ledPin, fadeValue);         
    // 30 milliszekundumot várunk, hogy szemmel követhető
    // legyen a fényerő változás:
    delay(30);                            
  } 
}


